Subject: bug#21843: Generated grub.cfg does not support encrypted roots

From: Christopher Baines <[email-masked]>
Date: Wed, 26 Oct 2016 07:56:12 +0100

On 01/05/16 23:07, Ludovic Courtès wrote:
> [email-masked] (Ludovic Courtès) skribis:
>
>> Now, I haven’t tested this in reality and would appreciate help here.
>
> I’m in the process of implementing automated tests for the installation
> process.

I've been looking at this bug, as I've got a new laptop which I would 
like to install GuixSD on, and I would like to use an encrypted root 
partition.

Regarding the system tests, it looks to me like they do exist now, but 
so far I've been unable to run them (I get an error related to hash 
mismatch of module-import-compiled, I want to try getting it to 
fallback, but first I need to work out where Guix is being invoked...).